For the complete documentation index, see llms.txt. This page is also available as Markdown.

List parameter definition

Returns all parameters in helpdesk.

get
Responses
200

OK

application/json
get/public/v1/helpdesk/parameters
GET /public/v1/helpdesk/parameters HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "scope": "Form",
      "phase": "Request",
      "description": "Customer contact email address",
      "multiple": false,
      "externalId": "EXT-PARAM-123",
      "displayOrder": 1,
      "constraints": {
        "hidden": true,
        "readonly": true,
        "required": true,
        "capacity": {
          "min": 1,
          "max": 1
        },
        "visibility": "All"
      },
      "options": null,
      "type": "String",
      "statistics": {
        "cases": 1,
        "groups": 1,
        "forms": 1
      },
      "account": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active",
        "externalIds": {
          "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
        },
        "externalId": "text",
        "externalName": "text",
        "address": {
          "addressLine1": "text",
          "addressLine2": "text",
          "postCode": "text",
          "city": "text",
          "state": "text",
          "country": "text"
        },
        "technicalSupportEmail": "text",
        "website": "text",
        "description": "text",
        "groups": [
          {
            "id": "text",
            "name": "text",
            "revision": 1,
            "description": "text",
            "logo": "text",
            "isDefault": true
          }
        ],
        "eligibility": {
          "client": true,
          "partner": true
        },
        "defaultLanguageCode": "text"
      },
      "isDeleted": true
    }
  ]
}

Last updated

Was this helpful?